Subject: Re: local paths and cd //<RootdriveLetter> i.e cd //g not working
From: [email-masked] (Jerzy Schubert)

7 Aug 1997 17:21:17 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: "Larry Hall (RFK Partners Inc)" <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Unfortunately this is not the case
from the dos box:
g:  (g is the root directory)
umount  /usr
mkdir usr
mount -b g:\gnuwin32\b18\H-i386-cygwin32 /usr
ls usr
	gives nothing
ls /usr 
	works as before

same story after starting shell
sh
cd /
ls usr	 
	gives nothing

i  tried to change in regedit mounting for root 
from g:	 	/
to   g:\	/

but mount output looks the same
then i logged out and in, still the same
the i rebooted  the machine,
logged in  under same account
and all the mount points were effektively lost
 
mount gives the default mount points from 
HK Users-Default-Software-cygnus and so on up to mount points 
with defaults values 
f.e. for / c: text 
setting the root in Current User has no effect.

However THIS default setting for root i
could change 
with 
umount /
mount -b g:\gnuwin32\b18\H-i386-cygwin32 /

normally those two actions had not much effect.
umount /	was silent
mount -b <something> / 	said always  "busy"

any ideas?

On Thu, 7 Aug 1997, Larry Hall (RFK Partners Inc) wrote:

> At 12:04 PM 8/7/97 +0200, Jerzy Schubert wrote:
> >local paths seems not to work correctly, see below ls /usr vs. ls usr
> >form within /
> >also staying in f.e. /usr/local/sbin
> >and doing cd //g
> >then ls gives still the contents of /usr/local/sbin
> >( //g hapened to be / )
> >after that cd ..; ls gives  the contens of the root directory
> >
> <snip>
> 
> Jerzy,
> 
> Try making a /usr directory, for example.  I think you'll find "ls usr" 
> works OK then (I can't tell for sure because I'm at work with only b17
> and it only kinda works here).  Keep in mind that the basis for all of
> these tools is a UNIX environment.  In UNIX, you cannot mount a 
> directory to a location without creating that location first.  The
> Cygnus version of mount is a little peculiar in that sense since it
> doesn't require the mounting directory to exist first.  Regardless,
> the tools will require that the files and directories you give them
> exist.  If what you type matches the mount point exactly, Cygnus will
> resolve it anyway.  Otherwise, you need to provide the structure to 
> make it work.  Symbolic links may be another way to solve this 
> problem...
> 
> Larry Hall                      [email-masked]
> RFK Partners, Inc.              (617) 239-1053
> 8 Grove Street                  (617) 239-1655 - FAX
> Wellesley, MA, 02181
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".